## sabnzbdplus 3.0.0~0git20200408+dfsg

=== requirements.txt ===
six
sabyenc3
cheetah3
cryptography
feedparser
configobj
cherrypy
portend
chardet
notify2

# Optional support for *nix tray icon.
# Note that pygobject depends on pycairo, which requires pkg-config and cairo headers.
# See https://pycairo.readthedocs.io/en/latest/getting_started.html
#pygobject>=3.10.2; sys_platform != 'win32'

# Only on Windows
pywin32>=227; sys_platform == 'win32'

# Only on macOS
pyobjc; sys_platform == 'darwin'

=== tests/requirements.txt ===
# Testing requirements
selenium
requests
pytest

# Only works on Python 3.6+
black; python_version >= "3.6"

## sabnzbdplus 0.6.9

=== debian/changelog ===
sabnzbdplus (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 01 Sep 2011 22:11:54 +0200

sabnzbdplus (0.6.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Added build-{arch,indep} targets.
    + Clean up generated icons.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 25 Aug 2011 21:58:35 +0200

sabnzbdplus (0.6.7-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 04 Aug 2011 21:16:37 +0200

sabnzbdplus (0.6.6-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 20 Jul 2011 22:55:51 +0200

sabnzbdplus (0.6.4-1) unstable; urgency=low

  * New upstream release:
    + Updated patch 02 to match.
  * Added new command line option to the man page.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 08 Jun 2011 18:58:44 +0200

sabnzbdplus (0.6.2-1) unstable; urgency=low

  * New upstream release:
    + Updated copyright, man page, and patches 02, 06, and 08 to match.
  * Switching from dh_pysupport to dh_python2.
  * Added desktop menu entries.
  * Init script:
    + Permit setting a group too (chown syntax, USER=u:g).
  * debian/rules:
    + Replace dh_clean -k with dh_prep.
    + Generate translations on build.
    + Install menu entries.
  * debian/control:
    + Allow all Python 2.x versions >= 2.5.
    + Build-depend on imagemagick, for converting icons.
    + Downgrade smpl dependency to recommended, and make plush a hard
      dependency (plush is the default and fallback theme in >= 0.6.0).
    + Require debhelper 7.0.0 (for dh_prep).
  * Bumped Standards-Version to 3.9.2 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Tue, 24 May 2011 19:05:45 +0200

sabnzbdplus (0.5.6-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 18 Nov 2010 19:08:52 +0100

sabnzbdplus (0.5.5-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sat, 23 Oct 2010 22:30:32 +0200

sabnzbdplus (0.5.4-1) unstable; urgency=low

  * New upstream release (Closes: #593829).
  * Bumped Standards-Version to 3.9.1 (no changes needed).
  * Init script: moved start and stop procedures into functions.
  * Updated man page.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sun, 22 Aug 2010 21:10:15 +0200

sabnzbdplus (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Added status action to the init script.
  * Minor update of man page and package description.
  * Bumped Standards-Version to 3.9.0 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Mon, 19 Jul 2010 18:10:28 +0200

sabnzbdplus (0.5.2-1) unstable; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Thu, 15 Apr 2010 22:55:13 +0200

sabnzbdplus (0.5.0-2) unstable; urgency=low

  * In case of the default/fallback theme, have the main package
    rather than the theme enforce matching their source versions to
    prevent a circular hard dependency (Closes: #575480).

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Fri, 26 Mar 2010 14:50:35 +0100

sabnzbdplus (0.5.0-1) unstable; urgency=low

  * New upstream release (Closes: #568208).
  * Updated debian/copyright to match.
  * Program now works with Python 2.6, no longer force 2.5:
    + Updated debian/pyversions.
    + Removed '-V2.5' option from dh_pysupport call.
    + Removed notice from README.source.
    + Dropped patch 05.
  * Dropping patch 01: no longer needed.
  * Updated remaining patches:
    + Updated 02, 04 and 08 to work with new release.
    + Added 06_use_packaged_modules.dpatch: point to system python
      modules rather than included copies.
    + Merged 07_use_system_configobj.dpatch into patch 06.
  * Dependencies:
    + Removed python-cherrypy, application was ported to cherrypy3.
    + Removed dep. on python-2.4 specific python-(c)elementtree.
    + Require rather than recommend python-feedparser.
    + Require sabnzbdplus-theme-smpl: it is now the default and
      fallback interface.
    + Recommend rather than suggest sabnzbdplus-theme-{plush,classic}
      since those are in the newly introduced configuration wizard.
    + Drop libjs-jquery from -theme-plush: now combined with a number
      of other javascripts into a single file, making it impossible
      to use the packaged jquery.
    + Add libjs-excanvas dependency to -theme-smpl.
    + Allow rar as an alternative for unrar.
    + Suggest python-dbus to support the end-of-queue actions.
    + Version (un)rar dependencies due to the programs use of command
      line options only available in more recent versions of unrar.
  * Overriding lintian warning about jquery:
    + Adding debian/sabnzbdplus.lintian-overrides.
    + Adding dh_lintian call in debian/rules.
    + Bumpimg debhelper version to >= 6.0.7 (needed for dh_lintian).
    + Setting debian/compat to 6.
  * Priority is back to optional (no more python-cherrypy).
  * Changed sabnzbdplus-theme-iphone to a transitional package: no
    longer included upstream, replaced by "Mobile".
  * New binary packages:
    + sabnzbdplus-theme-mobile, new theme replacing -theme-iphone.
    + sabnzbdplus-theme-classic: formerly "Default" and included in
      the main package.
  * Updated various docs: man page, README.source.
  * Modified the init script:
    + Account for the side effects of the program's builtin restart
      function.
    + Assorted minor improvements.
  * Using debian/sabnzbdplus.examples rather than sabnzbdplus.docs for
    the sample post-processing script.
  * Bumped Standards-Version to 3.8.4 (no changes needed).
  * Install included patched copy of cherrypy3: both 3.1.x and 3.2.0rc1
    suffer from crippling bugs in the https implementation.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sun, 21 Feb 2010 21:32:58 +0100

sabnzbdplus (0.4.12-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: sabnzbdplus
Homepage: http://sabnzbd.org
Section: contrib/net
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jp.pp.ru>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.0), python (>= 2.6.6-3), imagemagick
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/sabnzbdplus/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/sabnzbdplus/trunk/

Package: sabnzbdplus
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 python-cheetah (>= 2.0.1),
 python-configobj,
 python-feedparser,
 sabnzbdplus-theme-plush (= ${source:Version})
Recommends:
 python-yenc (>= 0.3),
 python-openssl (>= 0.6),
 unzip,
 par2 (>= 0.4),
 unrar (>= 3.8.0) | rar (>= 3.8.0),
 sabnzbdplus-theme-classic,
 sabnzbdplus-theme-smpl
Suggests:
 sabnzbdplus-theme-mobile,
 python-dbus
Description: web-based binary newsgrabber with nzb support
 SABnzbd+ is a web-based binary newsgrabber written in Python, with support for
 the popular nzb file format. It greatly simplifies the process of downloading
 from usenet, thanks to a friendly web-based, fully customizable user interface
 and advanced built-in post-processing options including the ability to
 automatically verify, repair, extract and clean up downloaded posts. 
 .
 Multiple servers are supported, as well as secure (ssl) connections, ipv6, 
 scheduling, pausing and resuming downloads, queue manipulation, rss feeds,
 newzbin and nzbmatrix integration, automatic sorting, a download history,
 email notifications, and custom post-processing scripts. An extensive API
 allows third party applications to interact with the program.
 .
 The program is a fork of the original SABnzbd code, which is no longer actively
 developed.

Package: sabnzbdplus-theme-plush
Architecture: all
Depends:
 ${misc:Depends}
Recommends: sabnzbdplus
Description: plush interface templates for the SABnzbd+ binary newsgrabber
 Plush is a set of interface templates for the SABnzbd+ binary newsgrabber,
 providing access to a full set of features, even including a built-in IRC
 client. To this end, extensive use is made of ajax technology, with various
 graphical enhancements and artwork providing the finishing touch.
 .
 This package contains the Plush interface templates, as distributed with
 the SABnzbd+ program releases.

Package: sabnzbdplus-theme-smpl
Architecture: all
Depends:
 ${misc:Depends},
 libjs-mochikit (>= 1.4),
 libjs-excanvas,
 sabnzbdplus (= ${source:Version})
Enhances: sabnzbdplus
Description: smpl interface templates for the SABnzbd+ binary newsgrabber
 Smpl is a set of interface templates for the SABnzbd+ binary newsgrabber,
 featuring a simple, clean design, automatic updating of queue, history, and
 download speed at the refresh rate of your choice, a download graph,
 re-designed config look, AJAX form submitting, and dual Queue and history
 views.
 .
 This package contains the smpl interface templates, as distributed with
 the SABnzbd+ program releases.

Package: sabnzbdplus-theme-iphone
Architecture: all
Depends:
 ${misc:Depends},
 sabnzbdplus-theme-mobile
Description: transitional package for migration to sabnzbdplus-theme-mobile
 Transitional package for users of the former iphone interface templates for
 the 0.4.x series of the SABnzbd+ binary newsgrabber to its successor, Mobile.
 .
 This dummy package may be safely removed after upgrading.

Package: sabnzbdplus-theme-mobile
Architecture: all
Depends:
 ${misc:Depends},
 sabnzbdplus (= ${source:Version})
Enhances: sabnzbdplus
Description: mobile interface templates for the SABnzbd+ binary newsgrabber
 Mobile is a set of interface templates for the SABnzbd+ binary newsgrabber,
 specifically designed for use with mobile devices.
 .
 This package contains the Mobile interface templates, as distributed with
 the SABnzbd+ program releases.

Package: sabnzbdplus-theme-classic
Architecture: all
Depends:
 ${misc:Depends},
 sabnzbdplus (= ${source:Version})
Enhances: sabnzbdplus
Description: classic interface templates for the SABnzbd+ binary newsgrabber
 Classic is a set of interface templates for the SABnzbd+ binary newsgrabber,
 formerly known as the "Default" templates. While fully functional, its
 design is basic and focused on compatibility.
 .
 This package contains the Classic interface templates, as distributed with
 the SABnzbd+ program releases.

## sabnzbdplus 0.6.10

=== debian/changelog ===
sabnzbdplus (0.6.10-1) unstable; urgency=low

  * New upstream release:
    + Install gntp as a private module.
    + Updated copyright to include the new gntp files.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 12 Oct 2011 21:59:40 +0200

## sabnzbdplus 0.6.14

=== debian/changelog ===
sabnzbdplus (0.6.14-1) unstable; urgency=low

  * New upstream release.
  * Correct section/priority of transitional package to oldlibs/extra.
  * Init script: add long LSB description.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Sat, 10 Dec 2011 11:56:39 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Install directory
DESTDIR   = $(CURDIR)/debian/sabnzbdplus

build: build-arch build-indep
build-arch:
build-indep: build-stamp
build-stamp:
	# Generate translations
	python tools/make_mo.py
	find locale -type d -empty -delete
	# Create icons, 32x32 xpm for Debian menu, 48x48 png for XDG menu
	convert -resize 32x32 interfaces/wizard/static/images/icon_sab.png sabnzbdplus.xpm
	convert -resize 48x48 interfaces/wizard/static/images/icon_sab.png sabnzbdplus.png

clean:
	dh_testdir
	dh_testroot
	rm -rf build/ locale/ sabnzbdplus.png sabnzbdplus.xpm
	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
	find . -name "*.pyc" -delete
	dh_clean 

install: install-prereq install-main install-finish

install-prereq:
	dh_testdir
	dh_testroot
	dh_prep

install-main: install-prereq
	dh_install \
		--exclude=static/MochiKit/ \
		--exclude=wizard/README.TXT \
		--exclude=utils/feedparser.py \
		--exclude=utils/configobj.py \
		--exclude=excanvas/excanvas.js \
		--exclude=images-split.tar.gz \
		--exclude=cherrypy/LICENSE.txt \
		--exclude=cherrypy/cherryd \
		--exclude=cherrypy/scaffold

install-finish: install-main
	# Strip caps and script extension from the executable
	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	# Account for changelogs using non-standard names or being included in readme files
	dh_installchangelogs
	dh_installchangelogs -p sabnzbdplus CHANGELOG.txt
	dh_installchangelogs -p sabnzbdplus-theme-plush -k interfaces/Plush/README.txt
	dh_installchangelogs -p sabnzbdplus-theme-smpl -k interfaces/smpl/README.txt
	dh_installchangelogs -p sabnzbdplus-theme-mobile -k interfaces/Mobile/README.txt
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_link -i
	dh_icons -i
	dh_installmenu -i
	dh_lintian -i
	dh_python2 -i
	dh_installinit -i -- defaults 98 02
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install

binary: binary-indep binary-arch

.PHONY: clean binary-indep binary-arch binary install

## sabnzbdplus 0.6.15

=== debian/changelog ===
sabnzbdplus (0.6.15-1) unstable; urgency=low

  * New upstream release.
  * Update copyright years.

 -- JCF Ploemen (jcfp) <linux@jp.pp.ru>  Wed, 08 Feb 2012 17:13:37 +0100

=== debian/control ===
--- 
+++ 
@@ -80,6 +80,8 @@
 
 Package: sabnzbdplus-theme-iphone
 Architecture: all
+Section: contrib/oldlibs
+Priority: extra
 Depends:
  ${misc:Depends},
  sabnzbdplus-theme-mobile

## sabnzbdplus 0.7.3

=== debian/changelog ===
sabnzbdplus (0.7.3-1) experimental; urgency=low

  * New upstream release.
  * Add missing epoch to dependencies on (un)rar.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 13 Aug 2012 22:00:30 +0200

sabnzbdplus (0.7.2-1) experimental; urgency=low

  * New upstream release:
    + Refresh patches, update patch 02.
    + Add suggested dependency on python-notify.
    + Install the new unified configuration interface as part of the
      main package.
    + Minor man page update.
    + Update debian/copyright.
  * Bumped Standards-Version to 3.9.3 (no changes needed).
  * Changed my email address.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 19 Jul 2012 14:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Homepage: http://sabnzbd.org
 Section: contrib/net
 Priority: optional
-Maintainer: JCF Ploemen (jcfp) <linux@jp.pp.ru>
+Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.0), python (>= 2.6.6-3), imagemagick
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/sabnzbdplus/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/sabnzbdplus/trunk/
@@ -24,11 +24,12 @@
  python-openssl (>= 0.6),
  unzip,
  par2 (>= 0.4),
- unrar (>= 3.8.0) | rar (>= 3.8.0),
+ unrar (>= 1:3.8.0) | rar (>= 1:3.8.0),
  sabnzbdplus-theme-classic,
  sabnzbdplus-theme-smpl
 Suggests:
  sabnzbdplus-theme-mobile,
+ python-notify,
  python-dbus
 Description: web-based binary newsgrabber with nzb support
  SABnzbd+ is a web-based binary newsgrabber written in Python, with support for

## sabnzbdplus 0.7.11

=== debian/changelog ===
sabnzbdplus (0.7.11-1) experimental; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 07 Feb 2013 22:46:46 +0100

sabnzbdplus (0.7.9-1) experimental; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sun, 06 Jan 2013 21:49:04 +0100

sabnzbdplus (0.7.8-1) experimental; urgency=low

  * New upstream release.
  * Remove defunct indexers from description.
  * Fulfill lintian's desire for a canonical vcs field.
  * Update copyright years.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 04 Jan 2013 22:38:50 +0100

sabnzbdplus (0.7.6-1) experimental; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.4 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 14 Nov 2012 15:04:34 +0100

sabnzbdplus (0.7.5-1) experimental; urgency=low

  * New upstream release.
  * Init script: adjust regexp to handle the space inserted by
    dh_python2's shebang rewriting. (Closes: #691312)

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Thu, 01 Nov 2012 14:04:59 +0100

sabnzbdplus (0.7.4-1) experimental; urgency=low

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 24 Sep 2012 21:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.0), python (>= 2.6.6-3), imagemagick
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/sabnzbdplus/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/sabnzbdplus/trunk/
 
 Package: sabnzbdplus
@@ -40,9 +40,9 @@
  .
  Multiple servers are supported, as well as secure (ssl) connections, ipv6, 
  scheduling, pausing and resuming downloads, queue manipulation, rss feeds,
- newzbin and nzbmatrix integration, automatic sorting, a download history,
- email notifications, and custom post-processing scripts. An extensive API
- allows third party applications to interact with the program.
+ automatic sorting, a download history, email notifications, and custom
+ post-processing scripts. An extensive API allows third party applications to
+ interact with the program.
  .
  The program is a fork of the original SABnzbd code, which is no longer actively
  developed.

## sabnzbdplus 0.7.16

=== debian/changelog ===
sabnzbdplus (0.7.16-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1223385), remaining changes:
    + Recommend consolekit.
    + Bump python-dbus to recommended from suggested.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 10 Sep 2013 15:50:19 +0200

sabnzbdplus (0.7.16-1) unstable; urgency=low

  * New upstream release.
  * Init: remove redundant check.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 03 Sep 2013 12:44:30 +0200

sabnzbdplus (0.7.13-1) unstable; urgency=low

  [ JCF Ploemen (jcfp) ]
  * New upstream release.
  * Desktop file: add keywords.
  * Init script:
    + improve dependency based booting params.
    + base external filenames on the script's name.
  * Tweak version of python build-dep (append tilde).

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 14 Jun 2013 22:56:37 +0200

sabnzbdplus (0.7.11-1ubuntu1) saucy; urgency=low

  * Add Depends on consolekit to ensure we have a method for
    Suspend/Hibernate/Shutdown available. 

 -- Iain Lane <iain.lane@canonical.com>  Mon, 29 Apr 2013 18:35:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Homepage: http://sabnzbd.org
 Section: contrib/net
 Priority: optional
-Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.0), python (>= 2.6.6-3), imagemagick
+Build-Depends: debhelper (>= 7.0.0), python (>= 2.6.6-3~), imagemagick
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/sabnzbdplus/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/sabnzbdplus/trunk/
 
 Package: sabnzbdplus
 Architecture: all
@@ -26,11 +27,12 @@
  par2 (>= 0.4),
  unrar (>= 1:3.8.0) | rar (>= 1:3.8.0),
  sabnzbdplus-theme-classic,
- sabnzbdplus-theme-smpl
+ sabnzbdplus-theme-smpl,
+ consolekit,
+ python-dbus
 Suggests:
  sabnzbdplus-theme-mobile,
- python-notify,
- python-dbus
+ python-notify
 Description: web-based binary newsgrabber with nzb support
  SABnzbd+ is a web-based binary newsgrabber written in Python, with support for
  the popular nzb file format. It greatly simplifies the process of downloading

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,7 @@
 	dh_install \
 		--exclude=static/MochiKit/ \
 		--exclude=wizard/README.TXT \
+		--exclude=Config/README.txt \
 		--exclude=utils/feedparser.py \
 		--exclude=utils/configobj.py \
 		--exclude=excanvas/excanvas.js \

=== debian/watch ===
# works only for full versions, not for betas or candidate releases
version=3
http://sf.net/sabnzbdplus/SABnzbd-([\d\.]*)-src\.tar\.gz

## sabnzbdplus 0.7.18

=== debian/changelog ===
sabnzbdplus (0.7.18-1) unstable; urgency=medium

  * New upstream release:
    + adds (basic) support for rar5 format. (LP: #1330146)
  * Init script:
    + rework to use new upstream --pidfile option.
    + set system locale in a bid to prevent encoding issues.
  * Update man page for new --pidfile option.
  * Add debian/missing-sources for various minified javascripts.
  * Copyright:
    + add RateIt jquery rating plugin, OrderedDict backport.
    + bump years for both upstream and packaging.
    + include copyright info for d/missing-sources.
    + correct jquery tooltip license info.
    + stop referring to symlink licenses.
  * Add patch 09_remove_external_resource_from_wizard.diff: prevent
    loading an external resource, replace with a plain text link.
  * Switch debian/rules to dh sequencer.
  * Set compat level to 9.
  * Build-depends:
    + add dh-python, now a separate package.
    + dump version requirement for python (no longer needed).
    + bump debhelper version to >= 9.
  * Recommend consolekit and promote python-dbus to recommended
    (from suggested), to ensure support for end-of-queue actions is
    available. (Closes: #706402)
  * Lintian:
    + Append an asteriks to the existing override to compensate for
      the description added to the embedded-javascript-library tag.
    + Override init.d-script-sourcing-without-test (false positive).
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Tue, 07 Oct 2014 10:53:34 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Homepage: http://sabnzbd.org
 Section: contrib/net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
+Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.0), python (>= 2.6.6-3~), imagemagick
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), python, imagemagick, dh-python
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/sabnzbdplus/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Install directory
DESTDIR=$(CURDIR)/debian/sabnzbdplus

%:
	dh $@ --with python2

override_dh_auto_build:
	# Generate translations
	python tools/make_mo.py
	find locale -type d -empty -delete
	# Create icons, 32x32 xpm for Debian menu, 48x48 png for XDG menu
	convert -resize 32x32 interfaces/wizard/static/images/icon_sab.png sabnzbdplus.xpm
	convert -resize 48x48 interfaces/wizard/static/images/icon_sab.png sabnzbdplus.png

override_dh_clean:
	rm -rf build/ locale/ sabnzbdplus.png sabnzbdplus.xpm
	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
	find . -name "*.pyc" -delete
	dh_clean 

override_dh_install:
	dh_install \
		--exclude=static/MochiKit/ \
		--exclude=wizard/README.TXT \
		--exclude=Config/README.txt \
		--exclude=utils/feedparser.py \
		--exclude=utils/configobj.py \
		--exclude=excanvas/excanvas.js \
		--exclude=images-split.tar.gz \
		--exclude=cherrypy/LICENSE.txt \
		--exclude=cherrypy/cherryd \
		--exclude=cherrypy/scaffold
	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -p sabnzbdplus CHANGELOG.txt
	dh_installchangelogs -p sabnzbdplus-theme-plush -k interfaces/Plush/README.txt
	dh_installchangelogs -p sabnzbdplus-theme-smpl -k interfaces/smpl/README.txt
	dh_installchangelogs -p sabnzbdplus-theme-mobile -k interfaces/Mobile/README.txt

override_dh_installinit:
	dh_installinit -- defaults 98 02

## sabnzbdplus 0.7.20

=== debian/changelog ===
sabnzbdplus (0.7.20-1) experimental; urgency=medium

  * New upstream release.
  * Copyright: add license info for newly included util/pystone.py.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 03 Jan 2015 23:39:40 +0000

## sabnzbdplus 0.7.20+dfsg

=== debian/changelog ===
sabnzbdplus (0.7.20+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * Lintian: 
    + override source-contains-prebuilt-javascript-object: their
      inclusion by upstream is intentional.
    + override source-is-missing for assorted maintainer-added
      sources: all of these lintian hits are false positives.
  * Add missing source files for Plotkit.js.
  * Create a get-orig-source target to copy missing sources into the
    upstream tarball instead of keeping them in d/missing-sources.
  * Add build-deps on devscripts, dpkg-dev, and subversion: needed by
    get-orig-source.
  * Watch file: add dversionmangle to handle +dfsg suffix.
  * Copyright: adjust paths for missing-sources files.
  * Remove Debian menu support as per #741573.
  * Use https for Vcs-Browser.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 23 Oct 2015 12:14:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,18 @@
 Priority: optional
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), python, imagemagick, dh-python
+Build-Depends: 
+ debhelper (>= 9),
+ devscripts,
+ dh-python,
+ dpkg-dev (>=1.17),
+ imagemagick,
+ python,
+ subversion
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/sabnzbdplus/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/sabnzbdplus/trunk/
 
 Package: sabnzbdplus
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,11 @@
 	# Generate translations
 	python tools/make_mo.py
 	find locale -type d -empty -delete
-	# Create icons, 32x32 xpm for Debian menu, 48x48 png for XDG menu
-	convert -resize 32x32 interfaces/wizard/static/images/icon_sab.png sabnzbdplus.xpm
+	# Create 48x48 png icon for XDG menu
 	convert -resize 48x48 interfaces/wizard/static/images/icon_sab.png sabnzbdplus.png
 
 override_dh_clean:
-	rm -rf build/ locale/ sabnzbdplus.png sabnzbdplus.xpm
+	rm -rf build/ locale/ sabnzbdplus.png
 	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
 	find . -name "*.pyc" -delete
 	dh_clean 
@@ -35,7 +34,8 @@
 		--exclude=images-split.tar.gz \
 		--exclude=cherrypy/LICENSE.txt \
 		--exclude=cherrypy/cherryd \
-		--exclude=cherrypy/scaffold
+		--exclude=cherrypy/scaffold \
+		--exclude=/src/
 	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus
 
 override_dh_installchangelogs:
@@ -47,3 +47,26 @@
 
 override_dh_installinit:
 	dh_installinit -- defaults 98 02
+
+
+DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))
+DEB_SRC := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Source)
+DEB_TAG := +dfsg
+# clean upstream version
+UPS_VER := $(shell dpkg-parsechangelog -l$(DEB_DIR)/changelog --show-field Version | sed 's/.*://; s/-[^-]*$$//; s/\+.*//')
+# basedir inside upstream tarball
+UPS_DIR := SABnzbd-$(UPS_VER)
+
+get-orig-source:
+	# download, decompress and rename upstream sources
+	uscan --noconf --force --verbose --rename --check-dirname-level=0 --destdir=$(CURDIR) --download-version $(UPS_VER)
+	gunzip $(DEB_SRC)_$(UPS_VER).orig.tar.gz
+	mv $(DEB_SRC)_$(UPS_VER).orig.tar $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
+	# download the missing source files from cvs
+	svn export --non-interactive svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/missing-sources $(CURDIR)/$(UPS_DIR)
+	# merge missing sources into upstream tarball and create new orig.tar.gz
+	tar --append --owner=root --group=root --mode=a+rX --file $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar $(UPS_DIR)
+	rm -f $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar.gz
+	gzip --best $(DEB_SRC)_$(UPS_VER)$(DEB_TAG).orig.tar
+	# cleanup leftovers
+	rm -rf $(UPS_DIR)

=== debian/watch ===
# works only for full versions, not for betas or candidate releases
version=3
opts=dversionmangle=s/\+dfsg// \
http://sf.net/sabnzbdplus/SABnzbd-([\d\.]*)-src\.tar\.gz

## sabnzbdplus 1.0.3+dfsg

=== debian/changelog ===
sabnzbdplus (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sat, 04 Jun 2016 13:53:50 +0000

sabnzbdplus (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #819896)
  * Patches:
    + refresh all.
    + expand patch 02 to also deal with the newly added systray icons.
    + make patch 08 also remove the version check option from the
      scheduler and the configuration interface.
    + rename and expand patch 09 to deal with more potential privacy
      breaches.
  * Merge the theme packages into the main package, and add Breaks and
    Replaces for all. With fewer interface themes and the reduced disk
    space requirements of a unified Config interface the case for
    splitting these up no longer exists.
  * Control:
    + bump required Python version to >= 2.6 (from >= 2.5).
    + recommend p7zip-full (7z support) and libavahi-compat-libdnssd1
      (bonjour/zeroconf support), suggest python-gtk2 (tray icon).
    + depend on various javascript libraries (libjs-bootstrap,
      libjs-jquery, libjs-jquery-ui, libjs-moment) and provide the
      necessary symlinks within the Config and Glitter interfaces.
      Glitter requires a jquery version >= 1.11 for its multi-select
      dialog. Config requires a jquery release >= 1.9.1 (and << 3) to
      prevent problems with the folder select dialogs in the "Folders"
      and "Categories" sections.
    + remove obsolete versioning of par2, python-{openssl,yenc} deps.
    + use https for upstream homepage.
  * Rules:
    + remove dh_installinit override: no longer needed.
    + exclude sabtray.py (windows-only) and upstream cherrypy diff (not
      needed by end users) from install.
    + don't bother excluding files that get replaced by links anyway.
    + drop exclude for cherrypy/scaffold (removed upstream).
    + install README.txt as upstream changelog; the previously used
      CHANGELOG.txt was dropped upstream.
  * Watch: point to github (upstream is moving away from sf.net).
  * Examples: upstream moved the sample scripts into a subdir.
  * Desktop file, description: capitalize Usenet.
  * Manpage: update renamed command line option and changed default
    listening host; remove mention of a long defunct indexer.
  * Bump Standards-Version to 3.9.8 (from 3.9.6; no further changes).
  * README.Debian: expand cherrypy paragraph with current status, links
    to upstream patches and relevant bug reports.
  * Copyright and missing-sources: update it all.
  * Lintian:
    + simplify override for source-is-missing to a single line.
    + override insane-line-length-in-source-file: effectively duplicates
      already overridden source-contains-prebuilt-javascript-object.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 09 May 2016 21:58:40 +0000

=== debian/control ===
Source: sabnzbdplus
Homepage: https://sabnzbd.org
Section: contrib/net
Priority: optional
Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 devscripts,
 dh-python,
 dpkg-dev (>=1.17),
 imagemagick,
 python,
 subversion
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/sabnzbdplus/trunk/

Package: sabnzbdplus
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 libjs-bootstrap,
 libjs-excanvas,
 libjs-jquery (>= 1.11),
 libjs-jquery (<< 3),
 libjs-jquery-ui,
 libjs-mochikit (>= 1.4),
 libjs-moment,
 python-cheetah (>= 2.0.1),
 python-configobj,
 python-feedparser
Recommends:
 consolekit,
 libavahi-compat-libdnssd1,
 p7zip-full,
 par2,
 python-dbus,
 python-openssl,
 python-yenc,
 unzip,
 unrar (>= 1:3.8.0) | rar (>= 1:3.8.0)
Suggests:
 python-gtk2,
 python-notify
Breaks:
 sabnzbdplus-theme-classic (<< 1.0.2),
 sabnzbdplus-theme-glitter (<< 1.0.2),
 sabnzbdplus-theme-iphone (<< 1.0.2),
 sabnzbdplus-theme-mobile (<< 1.0.2),
 sabnzbdplus-theme-plush (<< 1.0.2),
 sabnzbdplus-theme-smpl (<< 1.0.2)
Replaces:
 sabnzbdplus-theme-classic (<< 1.0.2),
 sabnzbdplus-theme-glitter (<< 1.0.2),
 sabnzbdplus-theme-iphone (<< 1.0.2),
 sabnzbdplus-theme-mobile (<< 1.0.2),
 sabnzbdplus-theme-plush (<< 1.0.2),
 sabnzbdplus-theme-smpl (<< 1.0.2)
Description: web-based binary newsreader with nzb support
 SABnzbd+ is a web-based binary newsgrabber written in Python, with support for
 the popular nzb file format. It greatly simplifies the process of downloading
 from Usenet, thanks to a friendly web-based, fully customizable user interface
 and advanced built-in post-processing options including the ability to
 automatically verify, repair, extract and clean up downloaded posts. 
 .
 Multiple servers are supported, as well as secure (ssl) connections, ipv6, 
 scheduling, pausing and resuming downloads, queue manipulation, rss feeds,
 automatic sorting, a download history, email notifications, and custom
 post-processing scripts. An extensive API allows third party applications to
 interact with the program.
 .
 This package contains the program itself and all interface templates.

=== debian/rules ===
--- 
+++ 
@@ -25,28 +25,22 @@
 
 override_dh_install:
 	dh_install \
-		--exclude=static/MochiKit/ \
+		--exclude=MochiKit/__package__.js \
 		--exclude=wizard/README.TXT \
-		--exclude=Config/README.txt \
 		--exclude=utils/feedparser.py \
 		--exclude=utils/configobj.py \
-		--exclude=excanvas/excanvas.js \
+		--exclude=utils/pystone.py \
+		--exclude=utils/systrayiconthread.py \
+		--exclude=sabnzbd/sabtray.py \
 		--exclude=images-split.tar.gz \
 		--exclude=cherrypy/LICENSE.txt \
+		--exclude=cherrypy/Patch-for-CP-3.8.0.diff \
 		--exclude=cherrypy/cherryd \
-		--exclude=cherrypy/scaffold \
 		--exclude=/src/
 	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus
 
 override_dh_installchangelogs:
-	dh_installchangelogs
-	dh_installchangelogs -p sabnzbdplus CHANGELOG.txt
-	dh_installchangelogs -p sabnzbdplus-theme-plush -k interfaces/Plush/README.txt
-	dh_installchangelogs -p sabnzbdplus-theme-smpl -k interfaces/smpl/README.txt
-	dh_installchangelogs -p sabnzbdplus-theme-mobile -k interfaces/Mobile/README.txt
-
-override_dh_installinit:
-	dh_installinit -- defaults 98 02
+	dh_installchangelogs README.txt
 
 
 DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))

## sabnzbdplus 1.1.1+dfsg

=== debian/changelog ===
sabnzbdplus (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Rules:
    + use Config's logo-arrow.svg as new basis for menu icon.
    + no longer exclude Patch-for-CP-3.8.0.diff from install, file was
      removed upstream.
  * Control:
    + recommend python-cryptography, used for certificate generation
      and encrypted rarfile detection.
    + build-depend on librsvg2-bin to enable svg handling in
      imagemagick.
    + depend on python-six, needed by recent cherrypy releases.
    + bump X-Python-Version to 2.7 (from 2.6).
  * Links: update Glitter links, upstream now omits jquery version from
    filename.
  * Copyright: minor updates only, to match upstream javascript and
    cherrypy version bumps.
  * Man page: update links to upstream wiki, homepage.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Fri, 11 Nov 2016 14:52:10 +0000

sabnzbdplus (1.0.3+dfsg-2) unstable; urgency=medium

  * Add dependency on lsb-base (>= 3.0-6), needed because the init
    script sources /lib/lsb/init-functions.
  * Remove the upper bound version restriction of the libjs-jquery
    dependency now that libjs-bootstrap was updated to 3.3.7, adding
    compatibility with jquery 3. (Closes: #841691)

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 24 Oct 2016 13:39:38 +0000

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  dh-python,
  dpkg-dev (>=1.17),
  imagemagick,
+ librsvg2-bin,
  python,
  subversion
 Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/sabnzbdplus/trunk/
 
@@ -25,18 +26,20 @@
  libjs-bootstrap,
  libjs-excanvas,
  libjs-jquery (>= 1.11),
- libjs-jquery (<< 3),
  libjs-jquery-ui,
  libjs-mochikit (>= 1.4),
  libjs-moment,
+ lsb-base (>= 3.0-6),
  python-cheetah (>= 2.0.1),
  python-configobj,
- python-feedparser
+ python-feedparser,
+ python-six
 Recommends:
  consolekit,
  libavahi-compat-libdnssd1,
  p7zip-full,
  par2,
+ python-cryptography,
  python-dbus,
  python-openssl,
  python-yenc,

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 	# Generate translations
 	python tools/make_mo.py
 	find locale -type d -empty -delete
-	# Create 48x48 png icon for XDG menu
-	convert -resize 48x48 interfaces/wizard/static/images/icon_sab.png sabnzbdplus.png
+	# Create png icon for XDG menu
+	convert -resize 48x48 interfaces/Config/templates/staticcfg/images/logo-arrow.svg sabnzbdplus.png
 
 override_dh_clean:
 	rm -rf build/ locale/ sabnzbdplus.png
@@ -34,7 +34,6 @@
 		--exclude=sabnzbd/sabtray.py \
 		--exclude=images-split.tar.gz \
 		--exclude=cherrypy/LICENSE.txt \
-		--exclude=cherrypy/Patch-for-CP-3.8.0.diff \
 		--exclude=cherrypy/cherryd \
 		--exclude=/src/
 	mv $(DESTDIR)/usr/bin/SABnzbd.py $(DESTDIR)/usr/bin/sabnzbdplus

## sabnzbdplus 2.3.2+dfsg

=== debian/changelog ===
sabnzbdplus (2.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Control: remove recommend on unzip, replaced upstream by 7zip which
    is already a dependency.
  * Bump Standards-Version to 4.1.3 (from 4.1.1; no further changes).
  * Patches: refresh 08.
  * Links: correct link name for moment.js in glitter.
  * Copyright:
    + bump packaging year to 2018.
    + update info for six, moment.js, bootstrap3-typeahead.
    + add entries for jquery-qrcode, filesize.js.
  * Missing-sources:
    + bump moment.js, bootstrap3-typeahead to match upstream.
    + add sources for jquery-qrcode, filesize.js.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Wed, 03 Jan 2018 14:09:35 +0000

sabnzbdplus (2.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #858852)
  * Manpage: add links to API docs, upstream Github project page.
  * Copyright:
    + remove entries for files no longer shipped upstream: wizard's
      jquery and related missing-sources, sabnzbd/utils/ssmtplib.py,
      sabnzbd/utils/ordered.py, cherrypy/_cpcompat_subprocess.py.
    + add entries for jquery-tablesorter, six, chartlist, and
      pathbrowser.
    + correct a few minor typos in filenames.
    + update years and contact info for rarfile, moment.js, jquery.
    + refresh website info for rateit, codeplex is gone.
  * Patches:
    + refresh all.
    + modify 06 to stop dealing with feedparser.
  * Control:
    + bump version of debhelper build-dep and d/compat to 10 (from 9).
    + drop recommend on python-openssl: upstream switched to Python's
      builtin ssl.
    + remove dependency on consolekit, sleep/hibernate/etc are now
      supported via systemd/logind. (Closes: #862673)
    + depend on libjs-jquery-tablesorter, used in the Config interface.
    + drop dependency on python-feedparser: upstream includes a modified
      file with support for indexer tags and speed optimizations.
    + replace recommend on python-yenc with a depend python-sabyenc.
      The latter is a fork optimized for use within SABnzbd, resulting
      in a significant performance increase.
  * Rules: exclude utils/subprocess_fix.py from install (windows-only).
  * Links:
    + match upstream version bump of jquery in Config to 3.2.1.
    + add links for jquery-tablesorter and jquery-ui in Config.
    + add missing bootstrap woff/woff2 links in Config and Glitter.
  * Lintian:
    + remove unused override for wizard's jquery.js.
    + override embedded-feedparser-library, included file has relevant
      upstream modifications.
    + override debian-rules-parses-dpkg-parsechangelog, the suggested
      alternative is too impractical with a get-orig-source target.
  * README.Debian: refresh cherrypy rationale with current bugs/patches.
  * Missing-sources:
    + bump jquery and bootstrap versions in Config to match upstream.
    + handle missing jquery-ui in Config by adding a symlink to its
      equivalent in Glitter.
    + add sources for jquery-tablesorter and chartlist.
    + update moment.js to 2.18.1.
    + update Config jquery to 3.2.1.
    + remove all entries for the wizard interface: no longer needed.
  * Init: add support for the optional try-restart argument.
  * Bump Standards-Version to 4.1.1 (from 3.9.8; no further changes).
  * Docs: remove README.txt to prevent duplicate (already installed as
    changelog via d/rules).
  * Examples: add scripts/{Deobfuscate.py,Sample-PostProc.py}.

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Sun, 05 Nov 2017 15:04:14 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: JCF Ploemen (jcfp) <linux@jcf.pm>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  devscripts,
  dh-python,
  dpkg-dev (>=1.17),
@@ -13,7 +13,7 @@
  librsvg2-bin,
  python,
  subversion
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/sabnzbdplus/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/sabnzbdplus/trunk/
@@ -26,24 +26,21 @@
  libjs-bootstrap,
  libjs-excanvas,
  libjs-jquery (>= 1.11),
+ libjs-jquery-tablesorter,
  libjs-jquery-ui,
  libjs-mochikit (>= 1.4),
  libjs-moment,
  lsb-base (>= 3.0-6),
  python-cheetah (>= 2.0.1),
  python-configobj,
- python-feedparser,
+ python-sabyenc,
  python-six
 Recommends:
- consolekit,
  libavahi-compat-libdnssd1,
  p7zip-full,
  par2,
  python-cryptography,
  python-dbus,
- python-openssl,
- python-yenc,
- unzip,
  unrar (>= 1:3.8.0) | rar (>= 1:3.8.0)
 Suggests:
  python-gtk2,
@@ -67,9 +64,9 @@
  the popular nzb file format. It greatly simplifies the process of downloading
  from Usenet, thanks to a friendly web-based, fully customizable user interface
  and advanced built-in post-processing options including the ability to
- automatically verify, repair, extract and clean up downloaded posts. 
+ automatically verify, repair, extract and clean up downloaded posts.
  .
- Multiple servers are supported, as well as secure (ssl) connections, ipv6, 
+ Multiple servers are supported, as well as secure (ssl) connections, ipv6,
  scheduling, pausing and resuming downloads, queue manipulation, rss feeds,
  automatic sorting, a download history, email notifications, and custom
  post-processing scripts. An extensive API allows third party applications to

=== debian/rules ===
--- 
+++ 
@@ -21,16 +21,16 @@
 	rm -rf build/ locale/ sabnzbdplus.png
 	find . -wholename "./email/*.tmpl" ! -name "*-en.tmpl" -delete
 	find . -name "*.pyc" -delete
-	dh_clean 
+	dh_clean
 
 override_dh_install:
 	dh_install \
 		--exclude=MochiKit/__package__.js \
 		--exclude=wizard/README.TXT \
-		--exclude=utils/feedparser.py \
 		--exclude=utils/configobj.py \
 		--exclude=utils/pystone.py \
 		--exclude=utils/systrayiconthread.py \
+		--exclude=utils/subprocess_fix.py \
 		--exclude=sabnzbd/sabtray.py \
 		--exclude=images-split.tar.gz \
 		--exclude=cherrypy/LICENSE.txt \
